function plotSVDPGA(hObject, eventdata, Empty_Button, Buttons, AxesSVD, rbplotsvd, SVDText)
data = get(Empty_Button,'UserData');

if (isfield(data,'isdata')*(isfield(data,'issvd')) == 1) && (data.isdata*data.issvd == 1)
    i1 = 1;
    i2 = get(SVDText(1),'Value');
    
    if get(rbplotsvd(1), 'Value') == 1
        plot(AxesSVD, data.time, data.U(:,i1:i2), 'Linewidth',2);
        axis(AxesSVD,'tight');
        xlabel(AxesSVD,'time');
    elseif get(rbplotsvd(2), 'Value') == 1
        semilogy(AxesSVD, i1:i2, diag(data.S(i1:i2, i1:i2)),' k-.o', 'Linewidth',2);
        axis(AxesSVD,'tight');
        yl = get(AxesSVD, 'Ylim');
        set(AxesSVD, 'Xlim', [i1-.1, i2+.1], 'Ylim', [0.9, 1.1].*yl);
        xlabel(AxesSVD,'index');
    else
        plot(AxesSVD, data.x, data.V(:,i1:i2), 'Linewidth',2);
        axis(AxesSVD,'tight');
        xlabel(AxesSVD,'channel');
    end
end
